import { FocusableOption } from '@angular/cdk/a11y';
import { ElementRef } from '@angular/core';
import { CanColor } from '@angular/material/core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export type ngmAppearance = 'filled' | 'outline' | 'ghost' | 'hero' | 'acrylic' | 'opacity' | 'color' | 'dashed' | 'danger';
declare const _NgmAppearanceBase: import("@angular/material/core")._Constructor<CanColor> & import("@angular/material/core")._AbstractConstructor<CanColor> & {
    new (_elementRef: ElementRef): {
        _elementRef: ElementRef;
    };
};
export declare class AppearanceDirective extends _NgmAppearanceBase implements CanColor, FocusableOption {
    ngmAppearance: ngmAppearance;
    /**
     * Sets `outline` appearance
     */
    get outline(): boolean;
    set outline(value: boolean);
    get hero(): boolean;
    set hero(value: boolean);
    get acrylic(): boolean;
    set acrylic(value: boolean);
    get opacity(): boolean;
    set opacity(value: boolean);
    get dashed(): boolean;
    set dashed(value: any);
    get danger(): boolean;
    set danger(value: any);
    /** Emits when the chip is focused. */
    readonly _onFocus: Subject<any>;
    disabled?: boolean;
    /** Whether the chip has focus. */
    _hasFocus: boolean;
    constructor(elementRef: ElementRef);
    /** Allows for programmatic focusing of the chip. */
    focus(): void;
    getLabel?(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppearanceDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AppearanceDirective, "[ngmAppearance]", never, { "color": { "alias": "color"; "required": false; }; "ngmAppearance": { "alias": "ngmAppearance"; "required": false; }; "outline": { "alias": "outline"; "required": false; }; "hero": { "alias": "hero"; "required": false; }; "acrylic": { "alias": "acrylic"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "dashed": { "alias": "dashed"; "required": false; }; "danger": { "alias": "danger"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
